# Uses of Class
net.shibboleth.idp.attribute.resolver.ad.impl.ScriptedAttributeDefinition

Packages that use ScriptedAttributeDefinition
Package
Description
net.shibboleth.idp.attribute.resolver.spring.ad.impl
Implementation of the Attribute Definition parsers.

## Uses of ScriptedAttributeDefinition in net.shibboleth.idp.attribute.resolver.spring.ad.impl

Methods in net.shibboleth.idp.attribute.resolver.spring.ad.impl that return types with arguments of type ScriptedAttributeDefinition
Modifier and Type
Method
Description
`protected Class<ScriptedAttributeDefinition>`
ScriptedAttributeDefinitionParser.`getBeanClass(Element element)`